E-MailRelay

Classes | Namespaces
gscope.h File Reference
`#include "gdef.h"`
`#include <functional>`
`#include <utility>`

Go to the source code of this file.

## Classes
class | G::ScopeExit
| A class that calls an exit function at the end of its scope. More...
class | G::ScopeExitSetFalse
| A class that sets a boolean variable to false at the end of its scope. More...

## Namespaces
namespace | G
| Low-level classes.